/*----- REXX:  Test HeartBeat Process -----------------------*/ 

TRACE N 
ADDRESS TSO 
ARG Args 

"CLEAR" 
SAY "Test normal sequence of events" 
"heartbt b WMATHIS.HEARTBT.DATA" 
"heartbt a WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
SAY "No errors should have occurred" 
"ALLOC DDN(xx) SHR DSN('WMATHIS.HEARTBT.DATA') REUSE" 
"EXECIO * DISKR xx (FINIS)" 
"FREE  DDN(xx)" 
SAY "" 
DO QUEUED() 
  PULL args 
  SAY args 
  END 
SAY "Enter to continue....." 
PULL args 

"CLEAR" 
SAY "Test Missed Heartbeat and recovery" 
"heartbt b WMATHIS.HEARTBT.DATA" 
SAY "      Should get CC=16" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"heartbt a WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"ALLOC DDN(xx) SHR DSN('WMATHIS.HEARTBT.DATA') REUSE" 
"EXECIO * DISKR xx (FINIS)" 
"FREE  DDN(xx)" 
DO QUEUED() 
  PULL args 
  SAY args 
  END 
SAY "Enter to continue....." 
PULL args 

"CLEAR" 
SAY "Test Normal Maintenance Sequence" 
SAY "      Should get CC=8 on 4 steps" 
"heartbt s WMATHIS.HEARTBT.DATA" 
"heartbt b WMATHIS.HEARTBT.DATA" 
"heartbt a WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"heartbt f WMATHIS.HEARTBT.DATA" 
"ALLOC DDN(xx) SHR DSN('WMATHIS.HEARTBT.DATA') REUSE" 
"EXECIO * DISKR xx (FINIS)" 
"FREE  DDN(xx)" 
SAY "" 
DO QUEUED() 
  PULL args 
  SAY args 
  END 
SAY "Enter to continue....." 
PULL args 

"CLEAR" 
SAY "Test Missed Heartbeat during Maintenance Sequence" 
SAY "      Should get CC=8 on 4 steps" 
"heartbt s WMATHIS.HEARTBT.DATA" 
"heartbt b WMATHIS.HEARTBT.DATA" 
"heartbt c WMATHIS.HEARTBT.DATA" 
"heartbt a WMATHIS.HEARTBT.DATA" 
"heartbt f WMATHIS.HEARTBT.DATA" 
"ALLOC DDN(xx) SHR DSN('WMATHIS.HEARTBT.DATA') REUSE" 
"EXECIO * DISKR xx (FINIS)" 
"FREE  DDN(xx)" 
SAY "" 
DO QUEUED() 
  PULL args 
  SAY args 
  END 
